=== debian/changelog ===
xcsoar (7.32) unstable; urgency=low

  * 

 -- Max Kellermann <mk@cm4all.com>  Thu, 25 May 2023 20:40:34 +0200

xcsoar (7.31) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Fri, 12 May 2023 12:27:48 +0200

xcsoar (7.30) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Tue, 09 May 2023 13:02:01 +0200

xcsoar (7.29) unstable; urgency=medium

  * new release

 -- Max Kellermann <mk@cm4all.com>  Wed, 03 May 2023 17:10:14 +0200

xcsoar (7.28) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 29 Oct 2022 08:29:39 +0200

xcsoar (7.27) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 23 Sep 2022 22:01:35 +0200

xcsoar (7.26) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 03 Sep 2022 16:11:08 +0200

xcsoar (7.25) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 24 Aug 2022 20:58:06 +0200

xcsoar (7.24) unstable; urgency=low

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 22 Jul 2022 09:30:27 +0200

xcsoar (7.23) unstable; urgency=medium

  * new release

 -- Max Kellermann <mk@cm4all.com>  Thu, 10 Feb 2022 17:52:25 +0100

xcsoar (7.22) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 14 Jan 2022 19:26:55 +0100

xcsoar (7.21) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 11 Dec 2021 11:05:19 +0100

xcsoar (7.20) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 22 Oct 2021 17:38:54 +0200

xcsoar (7.19) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 01 Oct 2021 15:40:24 +0200

xcsoar (7.18) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 10 Sep 2021 23:31:54 +0200

xcsoar (7.17) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 04 Sep 2021 08:43:15 +0200

xcsoar (7.16) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 27 Aug 2021 16:55:23 +0200

xcsoar (7.15) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Mon, 23 Aug 2021 17:54:49 +0200

xcsoar (7.14) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 20 Aug 2021 17:37:01 +0200

xcsoar (7.13) unstable; urgency=medium

  * new release
  * remove -doc package
  * use debhelper 12

 -- Max Kellermann <max.kellermann@gmail.com>  Thu, 19 Aug 2021 18:03:49 +0200

xcsoar (7.12) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 13 Aug 2021 19:08:21 +0200

xcsoar (7.11) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 30 Jul 2021 20:05:15 +0200

xcsoar (7.10) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 09 Jul 2021 06:33:03 +0200

xcsoar (7.9) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Tue, 06 Jul 2021 10:10:02 +0200

xcsoar (7.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 02 Jun 2021 18:48:13 +0200

xcsoar (7.7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 14 May 2021 19:30:48 +0200

xcsoar (7.6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 01 May 2021 15:35:13 +0200

xcsoar (7.5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 30 Apr 2021 09:02:01 +0200

xcsoar (7.4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Thu, 08 Apr 2021 20:41:23 +0200

xcsoar (7.3) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 07 Apr 2021 00:09:12 +0200

xcsoar (6.8.17) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Tue, 22 Sep 2020 16:45:52 +0200

xcsoar (6.8.16) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sun, 26 Jul 2020 21:37:05 +0200

xcsoar (6.8.15) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 13 Jun 2020 14:13:56 +0200

xcsoar (6.8.14) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Thu, 14 May 2020 22:24:07 +0200

xcsoar (6.8.13) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 08 Apr 2020 16:23:42 +0200

xcsoar (6.8.12) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Tue, 30 Apr 2019 21:08:05 +0200

xcsoar (6.8.11) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 18 Aug 2018 16:36:41 +0200

xcsoar (6.8.10) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Sat, 07 Oct 2017 17:33:28 +0200

xcsoar (6.8.9) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Tue, 05 Oct 2017 10:08:31 +0200

xcsoar (6.8.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Sat, 09 Sep 2017 12:23:38 +0200

xcsoar (6.8.7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Fri, 12 Aug 2016 23:21:49 +0200

xcsoar (6.8.6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 Jul 2016 18:19:13 +0200

xcsoar (6.8.5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sun, 12 Jun 2016 14:12:56 +0200

xcsoar (6.8.4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 18 May 2016 10:23:36 +0200

xcsoar (6.8.3) unstable; urgency=medium

  * new release

